User Avatar Image

Purchased Walking Dead and More package

posted by TexMurphy on - last edited - Viewed by 105 users

I use a Mac with OSX10.5

I was able to successfully play BTTF, but was disappointed that Jurassic Park is 10.6 and can't play.

The primary reason why I purchased the package was because of Walking Dead. But I just checked and there were no Reqs available. Can anyone tell me what the reqs are?

Thanks

2 Comments - Linear Discussion: Classic Style
  • The system requirements for The Walking Dead will be the same as the current requirements for Jurassic Park.

    PC System Requirements
    OS: XP Service Pack 3 / Vista / Windows 7
    Processor: 1.8 GHz Pentium 4 or equivalent
    Memory: 2 GB RAM
    Hard Disk Space: 2 GB Space Free
    Video Card: ATI or NVidia card w/ 256 MB RAM
    DVD-ROM Drive
    DirectX®: Direct X 9.0c
    Sound: Direct X 8.1 sound device

    MAC System Requirements
    OS: Mac OS X 10.6
    Processor: 2.0 GHz Pentium or equivalent
    Memory: 2 GB RAM
    Hard Disk Space: 2 GB Space Free
    Video Card: ATI or NVidia card w/ 256 MB RAM
    Additional: Not recommended for MAC Minis or early-generation MacBooks

  • That's terrible. I'm going to have to get a new computer to play Walking Dead. And I can't afford another to buy one. Blah...

    Plus, I'm maxed out my OS capability too. This total blows. :(

Add Comment